Appearance
Set Consent
Record, update, or revoke the authenticated user's consent for a specific consent type (e.g., offline data access). Requires READ permissions for the target path.
POST/PUT: Grant or update consentDELETE: Revoke consent
Parameters
| name * are required parameters | data type | description |
|---|---|---|
consentType* | string | The type of consent (e.g., offline) |
body.consented | boolean | Whether consent is granted (for POST/PUT) |
Return Value
json
{
"statusCode": 201,
"data": true,
"message": "Consent updated"
}Error Codes
400 Bad Request: Returned when the consent type is invalid.401 Unauthorized: Returned when permissions are insufficient.
Examples
bash
curl -X POST "https://app.wombat.software/api/{targetPath}/consent/offline" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"consented": true}'ENDPOINTS
post
/api/{targetPath}/consent/:consentTypeput
/api/{targetPath}/consent/:consentTypedelete
/api/{targetPath}/consent/:consentType